LibreOffice: DataPilotFieldGroup Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Exported Interfaces | List of all members
DataPilotFieldGroup Service Referencepublished

represents a collection of members in a data pilot field group. More...

`import"DataPilotFieldGroup.idl";`

Inheritance diagram for DataPilotFieldGroup:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the data pilot field group. More...
interface | com::sun::star::container::XIndexAccess
| provides access to the data pilot field group members in the collection via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all data pilot field group members. More...
interface | com::sun::star::container::XNameAccess
| provides access to the data pilot field group members in the collection via name. More...
interface | com::sun::star::container::XNameContainer
| provides read/write access to the data pilot field group members in the collection via name. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Protected Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Protected Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...

## Detailed Description

represents a collection of members in a data pilot field group.

The members (also called items) of this collection are instances of DataPilotFieldGroupItem.

See also
  DataPilotField
  DataPilotFieldGroups
  DataPilotFieldGroupItem

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all data pilot field group members.

See also
  DataPilotFieldGroupEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the data pilot field group members in the collection via index.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

provides access to the data pilot field group members in the collection via name.

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer
| optional

provides read/write access to the data pilot field group members in the collection via name.

The com::sun::star::container::XNameContainer and com::sun::star::container::XNameReplace interfaces can be used to manage the members that this group contains. It is possible to insert, remove, and replace members.

The method com::sun::star::container::XNameReplace::replaceByName can be used to rename the specified member. To do so, the new name has to be passed as second argument. An implementation should support the following data types:

- a non-empty `string` specifying the new name of the group member.
- an object supporting the com::sun::star::container::XNamed interface, for example an instance of DataPilotFieldGroupItem received from another group.

The method com::sun::star::container::XNameContainer::insertByName() can be used to insert a new member into this field group. An implementation should ignore the second argument and insert the specified member name.

The method com::sun::star::container::XNameContainer::removeByName() can be used to remove an existing member name.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the data pilot field group.

It is possible to change the name of this field group as long as the new name is not used in the collection of groups in the field.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotFieldGroup.idl